* {
    box-sizing: border-box;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

html,
body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    scroll-behavior: smooth;
    
}

.toppart {
    display: flex;
    justify-content: center;
}

.menu_list {
    margin: 20px;
    font-size: 1.7vmax;
    position: fixed;
    z-index: 1;
    display: flex;
    height: 4vmax;
    border-radius: 50px;
    box-shadow: .1vmax .2vmax 5px rgba(0, 0, 0, 0.1), -.1vmax -.2vmax 5px rgba(0, 0, 0, 0.122);
}

.menu_list a {
    text-decoration: none;
    font-family: Arial, Helvetica, sans-serif;
    padding: 1vmax 3vmax 3vmax 3vmax;
    color: rgba(87, 1, 1, 0.924);
}

.menu_list a:hover {
    color: rgb(255, 0, 0);
    transition: .2s;
}
.menu_list_2{
    display: none;
}
.afterclick {
    transition: .2s;
    backdrop-filter: blur(20);
    background-color: rgba(228, 39, 39, 0.235);
    border-radius: 50px;
}

#menubar {
    height: 3vmax;
    width: 3vmax;
    opacity: 0;
}

/* -----------------------------first part------------------------ */
.fpart {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 5vmax 10vmax 2vmax 10vmax;
    margin: 20px;
    border-radius: 1vmax;
    flex-wrap: wrap;
    column-gap: 2vmax;
    row-gap: 50px;
    color: black;

}

.frame {
    background: linear-gradient(40deg, rgb(255, 3, 3), rgb(194, 7, 7), rgb(121, 5, 5));
    border-radius: 50% 0% 50% 50%;
    transform: rotate(135deg);
    box-shadow: 1px 1px 30px rgba(2, 2, 33, 0.236);

}

.frame img {
    height: 25vmax;
    width: 25vmax;
    padding: .7vmax;
    border-radius: 50%;
    filter: contrast(1.2);
    transform: rotate(225deg);
}

.name {
    padding: 15px;
    font-size: 2vmax;
    width: 45vmax; 
    margin-top: 5vmax;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 1vmax;
}

.name h4,
h5 {
    margin: 0px;
}

.name h4 {
    font-size: 5vmax;
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
}

.name h5 {
    font-size: 4vmax;
    text-align: center;
}

.name span {
    color: rgba(87, 1, 1, 0.924);
    height: 3vmax;

    border: transparent 2px solid;

}
.name a{
    padding: 1vmax 3vmax;
    margin-top: 2vmax;
    font-size: 1.8vmax;
    text-decoration: none;
    
}


/* ---------------------------second part-------------------------------- */
.spart {
    padding: 5vmax 4vmax;
    margin: 6vmax 10vmax;
    border-radius: 1.5vmax;
    box-shadow: 2px 2px 30px rgba(1, 1, 27, 0.186);
    display: flex;
    flex-direction: column;
    justify-content: center;
    line-height: 3.2vmax;
    font-size: 2vmax;
}

.spart h1 {
    text-align: center;
    color: rgba(87, 1, 1, 0.924);
    padding: 1vmax 0;
}

.spart p {
    text-align: justify;
    color: rgba(87, 1, 1, 0.51);
}

/*------------------------------third part------------------------ */

.tpart {
    padding: 2vmax 1vmax;
}

.tpart h2 {
    color: rgba(87, 1, 1, 0.924);
    text-align: center;
}

.skillnproject {
    display: flex;
    flex-wrap: wrap;
    padding: 20px 10px 0px 20px;
    justify-content: space-around;
}

.skills {
    display: flex;
    flex-wrap: wrap;
    width: 85vmax;
    height: auto;
    overflow: none;
    border-radius: 2vmax;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.124);
    margin-bottom: 5vmax;
    column-gap: 9vmax;
    row-gap: 2vmax;
    padding: 2vmax 0 5vmax 0px;
    justify-content: center;
}

.skills img {
    height: 7vmax;
    width: auto;
    
}

.mainpro {
    border-radius: 1vmax;
    margin: 3vmax 7vmax;
    overflow: hidden;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 20px;
    opacity: 0;
    scale: 0.7;
    justify-content: space-evenly;
    background: linear-gradient(150deg,rgba(250, 108, 108, 0.057),rgba(238, 100, 100, 0.111),rgba(203, 79, 79, 0.186));
}

.txtsub1 {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 1.7vmax;
    display: flex;
    flex-direction: column;
    width: 30vmax;
    padding: 2vmax;
}
.txtsub1 label {
    display: flex;
    justify-content: center;
}

.txtsub1 a {
    font-size: 1.5vmax;
    font-weight: 900;
    text-decoration: none;
    background-color: rgba(255, 76, 76, 0.481);
    border-radius: 50px;
    padding: .5vmax 2vmax;
    margin-top: 2vmax;
    color: rgb(99, 3, 3);

}

.txtsub1 a:hover {
    color: rgb(254, 254, 254);
    background-color: rgb(116, 5, 5);
    transition: .5s;
}

.txtsub1 p {
    color: rgba(110, 12, 12, 0.537);
    font-weight: 200;
    text-align: justify;
}


.horisub2 {
    height: 30vmax;
    width:50vmax;
    border-radius: 2vmax 2vmax 2vmax 0;
}

.horisub2 img {
    height: 30vmax;
    width:50vmax;
    overflow-x: hidden;
    border-radius: 1.1vmax;
}

/* ----------------------------------fourth part----------------------------- */
.fopart {
    padding: 5vmax 5vmax;
    display: flex;
    flex-direction: column;
    row-gap: 3vmax;
    justify-content: center;
    align-items: center;
    color: rgba(87, 1, 1, 0.924);
}

.fopart h2 {
    text-align: center;
    margin: 0px;

}

.fopart div {
    display: flex;
    column-gap: 3vmax;
    padding: 20px 20px;
    width: 40vmax;
    justify-content: center;
    border-radius: 1.7vmax;
}

.fopart div img {
   scale: 1;
}

.fopart div img:hover {
    cursor: pointer;
    transition: 500ms ease-out;
    transform: scale(1.1);
}

@media screen and (max-width: 600px) and (min-width: 0px) {

    .menu_list {
        display: none;
    }

    #menubar {
        opacity: 1;
        height: 7vmax;
        z-index: 1;
        width: 7vmax;
        top: 2%;
        right: 5%;
        border-radius: 50%;
        position: fixed;
        background-color: rgba(240, 43, 43, 0.268);
    }

    .menu_list_2 {
        display: flex;
        flex-direction: column;
        font-size: 30px;
        width: 90%;
        position: fixed;
        top: 10%;
        left: 5%;
        right: 5%;
        margin: 0;
        z-index: 1;
        border: 1px solid rgba(252, 11, 11, 0.99);
        border-radius: 2vmax;
        justify-content: center;
        align-content: center;
    }

    .menu_list_2 a {
        text-decoration: none;
        color: rgb(59, 3, 3);
        padding: 8vmax 0;
        text-align: center;
        font-family: Arial, Helvetica, sans-serif;
        font-weight: 700;
    }

    .fpart {
        padding: 6vmax 3vmax 5vmax 3vmax;
        row-gap: 9vmax;
    }

    .frame img {
        height: 30vmax;
        width: 30vmax;
        filter: none;
    }

    .name {
        width:90vmax;
        margin-top: 1vmax;
        
    }

    .name h4 {
        font-size: 8vmax;
        row-gap: 2vmax;
    }

    

    .name h5 span {
        font-size: 5vmax;
        color: rgba(87, 1, 1, 0.924);
        height: 25vmax;
        border:transparent 2px solid;


    }
    .name a{
        font-size: 2vmax;
        padding: 2vmax 2vmax;
        margin-top: 4vmax;
    }

    .spart {
        padding: 3.5vmax;
        word-spacing: 3px;
        margin: 2vmax 2vmax 6vmax 2vmax;
    }

    .spart h1 {
        margin: 1vmax 0;
        font-size: 5vmax;
    }

    .spart p {
        font-size: 2.4vmax;
        line-height: 3vmax;
    }

    .tpart {
        padding: 1vmax 1vmax 0 1vmax;
    }

    .tpart h2 {
        font-size: 5vmax;
    }
    .skills{
        padding-top: 5vmax;
        row-gap: 4vmax;
    }
    .skills img {
        height: 9vmax;
        width: auto;
    }

    

    .mainpro {
        margin: 6vmax 1vmax;
        padding: 0;
    }

    .txtsub1 {
        font-size: 2.1vmax;
        width: 38vmax;
    }

    .txtsub1 a {
        font-size: 2vmax;
        border-radius: 50px;
        padding: 1vmax 2vmax;
    }

    .versub2 {
        padding: 0;
    }

    .versub2 img {
        height: 45vmax;
    }

    .horisub2 {
        height: 28vmax;
    }

    .horisub2 img {
        top: 10%;
        position: relative;
        height: 25.5vmax;
        border-radius: 1.1vmax;

    }

    .fopart h2 {
        font-size: 5vmax;
    }

    .fopart div img {
        height: 7vmax;
        width: 7vmax;
    }
}